# Balance Check

To check a card balance, pass in the `card_reference` to the `Cards` query. You can add / remove fields available via our Schema if you want to streamline / see more detail on the card from the request.

{% tabs %}
{% tab title="API call" %}

```graphql
query Cards {
    Cards(card_reference: "6301190004871637839") {
        data {
            card_reference
            balance
            pin
            card_alias_card_reference
            initial_balance
            product_name
            first_top_up_value
            created_at
            used
            expiry_time
            validity_start_time
            ValueSplit {
                tender
                discount
            }
        }
    }
}
```

{% endtab %}
{% endtabs %}

### If no cards are found

If no cards are found for your query, the API will respond with blank JSON for “Data”:

```javascript
{
    "data": {
        "Cards": {
            "data": []
        }
    },
    "extensions": {
        "cost": {
            "actualQueryCost": 16,
            "throttleStatus": {
                "maximumAvailable": 8000,
                "currentlyAvailable": 7986
            }
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.usetoggle.com/basics/card-balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
